Help requested with SoapySDR on Linux

General discussions
modernhistorian
Posts: 3
Joined: Sun Apr 16, 2017 2:51 pm

Help requested with SoapySDR on Linux

Postby modernhistorian » Sat May 13, 2017 4:55 pm

Using Ubuntu 16.04, 64-bit. I installed the API with no errors, placing these files:

/usr/local/include/mirsdrapi-rsp.h
/usr/local/lib/libmirsdrapi-rsp.so
/usr/local/lib/libmirsdrapi-rsp.so.2
/usr/local/lib/libmirsdrapi-rsp.so.2.10

After cloning the repository and changing to directory I ran cmake with no errors, getting:

found libsdrplay
test HAS_STD_CXX11 Success

make built target with no reported errors, and sudo make install generated:

/usr/local/lib/SoapySDR/modules0.6/libsdrPlaySupport.so

After sudo ldconfig, SoapySDRUtil --find does not locate my RSP1.

I cloned and built the Soapy RTL module, and it finds my RTL stick without trouble.

Any help will be greatly appreciated. I cannot find any error in what I have done.
Last edited by modernhistorian on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 623
Joined: Wed Jan 07, 2015 7:58 am

Re: Help requested with SoapySDR on Linux

Postby sdrplay » Sat May 13, 2017 6:44 pm

I would check to see if there are any kernel modules loaded that are "grabbing" the device...

lsmod | grep msi

you may see msi2500, msi001 or sdr_msi3101

you should blacklist these by adding...

blacklist msi001
blacklist msi2500
blacklist sdsr_msi3101

to the /etc/modprobe.d/blacklist.conf file and reboot to take effect.

If you are still having problems, post the output of SoapySDRUtil --probe=sdrplay here

Best regards,

SDRplay Support

Reason: No reason

modernhistorian
Posts: 3
Joined: Sun Apr 16, 2017 2:51 pm

Re: Help requested with SoapySDR on Linux

Postby modernhistorian » Sat May 13, 2017 7:20 pm

Thanks for the prompt reply. Before checking that, I'd like to ask about the two different drivers available on the linux portion of your site, 1.97 and 2.10. I built gr-osmosdr using 1.97 but soapy would not compile with 1.97. I then used 2.10 (the run scripts on each ran without error), and that broke osmosdr. What is the difference between these two, and should 2.10 work with gnu-radio's osmosdr and SoapySDR?
Last edited by modernhistorian on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 623
Joined: Wed Jan 07, 2015 7:58 am

Re: Help requested with SoapySDR on Linux

Postby sdrplay » Sat May 13, 2017 9:48 pm

2.10 works with SoapySDRPlay fine. We don't send out 1.97 any more as there are fixes and better functionality in 2.10

2.10 is backwards compatible so should work ok for those apps that coded for 1.97

Hope that helps,

Best regards,

SDRplay Support

Reason: No reason

modernhistorian
Posts: 3
Joined: Sun Apr 16, 2017 2:51 pm

Re: Help requested with SoapySDR on Linux

Postby modernhistorian » Sun May 14, 2017 3:07 am

I ripped everything out, including gnuradio, and started over. soapySDR then found my device, until I rebooted. I then added all three msi processes to blacklist and it is working, through a reboot. Thanks for the help.
Last edited by modernhistorian on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason


Return to “General”

Who is online

Users browsing this forum: No registered users and 9 guests